unit StaticDsl_form;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TForm20 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    MonthCalendar1: TMonthCalendar;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form20: TForm20;

implementation

uses
  ClassicAppointment,
  DslAppointment,
  HelperAppointment,
  DateUtils;

{$R *.dfm}












procedure TForm20.Button1Click(Sender: TObject);
var
  app: TAppointment;
begin
  app := Appointement('Web Conference').
    from (Tomorrow).
    upto (DayAfter(Tomorrow)).
    at('Milan');
  ShowMessage (app.ToString);

  // Memory Leak
//  ShowMessage (Appointement('Web Conference').
//    from (Tomorrow).ToString);

  app.Free;
end;


























procedure TForm20.Button2Click(Sender: TObject);
var
  Appt: TStdAppointment;
begin
  Appt := TStdAppointment.Create;
  Appt.At := 'New York';
  Appt.FromDate := EncodeDateTime
    (2007, 12, 12, 9, 0, 0, 0);
  Appt.ToDate := StrToDate ('12/12/2007') +
    StrToTime ('12:00pm');
  Appt.Description := 'Delphi Dev. Meeting';
  ShowMessage (Appt.ToString);
  Appt.Free;
end;


































procedure TForm20.Button3Click(Sender: TObject);
begin
  MonthCalendar1.At ('Milan').
    OnDate(DayAfter (Tomorrow));
end;



end.
